# PhasicFlow: RandomReal< DistributionType > Class Template Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

RandomReal< DistributionType > Class Template Reference
Inheritance diagram for RandomReal< DistributionType >:
[legend]
Collaboration diagram for RandomReal< DistributionType >:
[legend]

## Public Member Functions

| TypeInfoTemplate ("randomReal", DistributionType)
| RandomReal (word distribution)
| add_vCtor (randomReal, RandomReal, word)
virtual | ~RandomReal ()=default
virtual real | randomNumber (real a, real b) override
virtual realx3 | randomNumber (realx3 a, realx3 b) override
Public Member Functions inherited from randomReal
| TypeInfo ("randomReal")
| randomReal (word UNUSED(distribution))
| create_vCtor (randomReal, word,(word distribution),(distribution))
virtual | ~randomReal ()=default

## Protected Attributes

DistributionType | distribution_

## Additional Inherited Members

Static Public Member Functions inherited from randomReal
static uniquePtr< randomReal > | create (word distribution)

## Detailed Description

### template<typename DistributionType>
class pFlow::RandomReal< DistributionType >

Definition at line 34 of file RandomReal.hpp.

## Constructor & Destructor Documentation

## RandomReal()

RandomReal | ( | word | distribution | ) |

Definition at line 26 of file RandomReal.cpp.

## ~RandomReal()

virtual ~RandomReal | ( |  | ) |

virtualdefault

## Member Function Documentation

## TypeInfoTemplate()

TypeInfoTemplate | ( | "randomReal" | ,
|  | DistributionType |
| ) |  |

## add_vCtor()

add_vCtor | ( | randomReal | ,
|  | RandomReal< DistributionType > | ,
|  | word |
| ) |  |

## randomNumber() [1/2]

pFlow::real randomNumber | ( | real | a,
|  | real | b
| ) |  |

overridevirtual

Implements randomReal.

Definition at line 38 of file RandomReal.cpp.

## randomNumber() [2/2]

pFlow::realx3 randomNumber | ( | realx3 | a,
|  | realx3 | b
| ) |  |

overridevirtual

Implements randomReal.

Definition at line 47 of file RandomReal.cpp.

## Member Data Documentation

## distribution_

DistributionType distribution_

protected

Definition at line 40 of file RandomReal.hpp.

The documentation for this class was generated from the following files:

- src/phasicFlow/random/randomReal/RandomReal.hpp
- src/phasicFlow/random/randomReal/RandomReal.cpp